MachinePool [cluster.x-k8s.io/v1beta1]
- Description
- MachinePool is the Schema for the machinepools API.
- Type
object
Specification
.spec
- Description
- spec is the desired state of MachinePool.
- Type
object- Required
clusterNametemplate
.spec.failureDomains
- Description
- failureDomains is the list of failure domains this MachinePool should be attached to.
- Type
array
.spec.failureDomains[]
- Type
string
.spec.providerIDList
- Description
- providerIDList are the identification IDs of machine instances provided by the provider. This field must match the provider IDs as seen on the node objects corresponding to a machine pool's machine instances.
- Type
array
.spec.providerIDList[]
- Type
string
.spec.template
- Description
- template describes the machines that will be created.
- Type
object
.spec.template.spec
- Description
- spec is the specification of the desired behavior of the machine. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status
- Type
object- Required
bootstrapclusterNameinfrastructureRef
.spec.template.spec.bootstrap
- Description
- bootstrap is a reference to a local struct which encapsulates fields to configure the Machine’s bootstrapping mechanism.
- Type
object
.spec.template.spec.bootstrap.configRef
- Description
- configRef is a reference to a bootstrap provider-specific resource that holds configuration details. The reference is optional to allow users/operators to specify Bootstrap.DataSecretName without the need of a controller.
- Type
object
.spec.template.spec.infrastructureRef
- Description
- infrastructureRef is a required reference to a custom resource offered by an infrastructure provider.
- Type
object
.spec.template.spec.readinessGates
- Description
- readinessGates specifies additional conditions to include when evaluating Machine Ready condition. This field can be used e.g. by Cluster API control plane providers to extend the semantic of the Ready condition for the Machine they control, like the kubeadm control provider adding ReadinessGates for the APIServerPodHealthy, SchedulerPodHealthy conditions, etc. Another example are external controllers, e.g. responsible to install special software/hardware on the Machines; they can include the status of those components with a new condition and add this condition to ReadinessGates. NOTE: This field is considered only for computing v1beta2 conditions. NOTE: In case readinessGates conditions start with the APIServer, ControllerManager, Scheduler prefix, and all those readiness gates condition are reporting the same message, when computing the Machine's Ready condition those readinessGates will be replaced by a single entry reporting "Control plane components: " + message. This helps to improve readability of conditions bubbling up to the Machine's owner resource / to the Cluster).
- Type
array
.spec.template.spec.readinessGates[]
- Description
- MachineReadinessGate contains the type of a Machine condition to be used as a readiness gate.
- Type
object- Required
conditionType
.spec.template.spec.taints
- Description
- The list of the taints to be applied to the corresponding Node in additive manner. This list will not overwrite any other taints added to the Node on an ongoing basis by other entities. These taints should be actively reconciled e.g. if you ask the machine controller to apply a taint and then manually remove the taint the machine controller will put it back) but not have the machine controller remove any taints
- Type
array
.spec.template.spec.taints[]
- Description
- The node this Taint is attached to has the "effect" on any pod that does not tolerate the Taint.
- Type
object- Required
effectkey
.status
- Description
- status is the observed state of MachinePool.
- Type
object
.status.conditions
- Description
- conditions define the current service state of the MachinePool.
- Type
array
.status.conditions[]
- Description
- Condition defines an observation of a Cluster API resource operational state.
- Type
object- Required
lastTransitionTimestatustype
.status.nodeRefs
- Description
- nodeRefs will point to the corresponding Nodes if they exist.
- Type
array
.status.nodeRefs[]
- Description
- ObjectReference contains enough information to let you inspect or modify the referred object.
- Type
object
.status.v1beta2
- Description
- v1beta2 groups all the fields that will be added or modified in MachinePool's status with the V1Beta2 version.
- Type
object
.status.v1beta2.conditions
- Description
- conditions represents the observations of a MachinePool's current state. Known condition types are Available, BootstrapConfigReady, InfrastructureReady, MachinesReady, MachinesUpToDate, ScalingUp, ScalingDown, Remediating, Deleting, Paused.
- Type
array
.status.v1beta2.conditions[]
- Description
- Condition contains details for one aspect of the current state of this API Resource.
- Type
object- Required
lastTransitionTimemessagereasonstatustype
API Endpoints
The following API endpoints are available:
/apis/cluster.x-k8s.io/v1beta1/namespaces/{namespace}/machinepoolsDELETE: delete collection of MachinePoolGET: list objects of kind MachinePoolPOST: create a new MachinePool
/apis/cluster.x-k8s.io/v1beta1/namespaces/{namespace}/machinepools/{name}DELETE: delete the specified MachinePoolGET: read the specified MachinePoolPATCH: partially update the specified MachinePoolPUT: replace the specified MachinePool
/apis/cluster.x-k8s.io/v1beta1/namespaces/{namespace}/machinepools/{name}/statusGET: read status of the specified MachinePoolPATCH: partially update status of the specified MachinePoolPUT: replace status of the specified MachinePool
/apis/cluster.x-k8s.io/v1beta1/namespaces/{namespace}/machinepools
- HTTP method
DELETE- Description
- delete collection of MachinePool
- HTTP responses
- HTTP method
GET- Description
- list objects of kind MachinePool
- HTTP responses
- HTTP method
POST- Description
- create a new MachinePool
- Query parameters
- Body parameters
- HTTP responses
/apis/cluster.x-k8s.io/v1beta1/namespaces/{namespace}/machinepools/{name}
- HTTP method
DELETE- Description
- delete the specified MachinePool
- Query parameters
- HTTP responses
- HTTP method
GET- Description
- read the specified MachinePool
- HTTP responses
- HTTP method
PATCH- Description
- partially update the specified MachinePool
- Query parameters
- HTTP responses
- HTTP method
PUT- Description
- replace the specified MachinePool
- Query parameters
- Body parameters
- HTTP responses
/apis/cluster.x-k8s.io/v1beta1/namespaces/{namespace}/machinepools/{name}/status
- HTTP method
GET- Description
- read status of the specified MachinePool
- HTTP responses
- HTTP method
PATCH- Description
- partially update status of the specified MachinePool
- Query parameters
- HTTP responses
- HTTP method
PUT- Description
- replace status of the specified MachinePool
- Query parameters
- Body parameters
- HTTP responses